%global commit 7355b1e2e98b7c0f8f3d0601ef4d78369b91aad3
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           libportal
Version:        0.1
Release:        0.20191211git%{shortcommit}
Summary:        Flatpak portal library
Group:          System/Libraries
License:        LGPLv2+
Url:            https://github.com/flatpak/libportal
Source:         https://github.com/flatpak/libportal/archive/%{commit}.zip

BuildRequires:  glibc-devel gcc
BuildRequires:  meson
BuildRequires:  git
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  gtk-doc
# For doc links
BuildRequires:  pipewire-doc

%description
libportal provides GIO-style async APIs for most Flatpak portals.

%package devel
Summary: Development files and libraries for %name
Group: Development/C
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
%name provides GIO-style async APIs for most Flatpak portals.

This package provides files for development with %name.

%package devel-doc
Summary: Development documentation for libportal
Group: Development/C
BuildArch: noarch
Conflicts: %{name} < %{version}

%description devel-doc
libportal provides GIO-style async APIs for most Flatpak portals.

This package provides development documentations for libportal.

%prep
%autosetup -S git -n %{name}-%{commit}

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%{_libdir}/libportal.so.*
%doc README*

%files devel
%{_includedir}/libportal
%{_libdir}/libportal.so
%{_libdir}/pkgconfig/libportal.pc

%files devel-doc
%{_datadir}/gtk-doc/html/libportal

%changelog
* Wed Dec 11 2019 Bastien Nocera <bnocera@redhat.com> - 0.1-0.20191211git
+ libportal-0.1-0.20191211git7355b1e
